Subject: bug#2779: 23.0.91; python-load-file in python.el does not seem to work

From: Mikko Huhtala <[email-masked]>
Date: Wed, 25 Mar 2009 19:20:35 +0200

I've ran inferior Python in 23.0.91. Python-load-file (C-c C-l) does
not seem to do anything. I do get

  Fontifying *Python*<2>... (regexps...........)
  menu-bar Python Import/reload file
  /home/mhuhtala/test/test.py loaded

in *Messages* but the module that was supposed to be loaded never
appears in the Python session and all I get is NameErrors if I try to
use it.

This is on Fedora 10 (x86) with Python 2.5.2 and glibc 2.9-3. I
compiled both Emacs versions on the system with GCC 4.3.2-7.

Doing the same with the same Python file in Fedora 7 and its Emacs 22
does work as expected.

In GNU Emacs 23.0.91 (i686-pc-linux-gnu, GTK+ Version 2.14.7)
 of 2009-03-13 on urquell.abo.fi
Windowing system distributor `The X.Org Foundation', version 11.0.10503000
configured using `configure  '--build=i686-pc-linux-gnu' '--host=i686-pc-linux-gnu' '--target=i386-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-pop' '--with-sound' '--with-x-toolkit=gtk' '--enable-font-backend' 'build_alias=i686-pc-linux-gnu' 'host_alias=i686-pc-linux-gnu' 'target_alias=i386-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=imsettings
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Python